Loading...
Searching...
No Matches
OgreOverlayElement.h File Reference
`#include "OgreOverlayPrerequisites.h"`
`#include "OgreRenderable.h"`
`#include "OgreStringInterface.h"`
`#include "OgreColourValue.h"`

## Classes

class | Ogre::OverlayElement
| Abstract definition of a 2D element to be displayed in an Overlay. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef String | Ogre::DisplayString

## Enumerations

enum | Ogre::GuiHorizontalAlignment { Ogre::GHA_LEFT , Ogre::GHA_CENTER , Ogre::GHA_RIGHT }
| Enum describing where '0' is in relation to the parent in the horizontal dimension. More...
enum | Ogre::GuiMetricsMode { Ogre::GMM_RELATIVE , Ogre::GMM_PIXELS , Ogre::GMM_RELATIVE_ASPECT_ADJUSTED }
| Enum describing how the position / size of an element is to be recorded. More...
enum | Ogre::GuiVerticalAlignment { Ogre::GVA_TOP , Ogre::GVA_CENTER , Ogre::GVA_BOTTOM }
| Enum describing where '0' is in relation to the parent in the vertical dimension. More...